parallel/pocl - The NetBSD Packages Collection

Portable implementation of the OpenCL standard

OpenCL (Open Computing Language) is an open, royalty-free standard for
cross-platform, parallel programming of diverse accelerators found in
supercomputers, cloud servers, personal computers, mobile devices and embedded
platforms.

PoCL is a portable open source (MIT-licensed) implementation of the OpenCL
standard (1.2 with some 2.0 features supported). In addition to being an easily
portable multi-device (truly heterogeneous) open-source OpenCL implementation,
a major goal of this project is improving interoperability of diversity of
OpenCL-capable devices by integrating them to a single centrally orchestrated
platform.

Build dependencies

pkgtools/x11-links parallel/opencl-headers pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

lang/clang lang/llvm parallel/hwloc parallel/ocl-icd lang/clang lang/llvm parallel/hwloc

Binary packages

OSArchitectureVersion
NetBSD 8.0i386pocl-1.7nb2.tgz
NetBSD 8.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0i386pocl-1.7nb2.tgz
NetBSD 9.0i386pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.8nb1.tgz
NetBSD 9.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.7nb2.tgz
NetBSD 9.0x86_64pocl-1.8nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.